Bug 41550 - gcc srpm rebuild segfaults for i686 arch
gcc srpm rebuild segfaults for i686 arch
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-21 06:02 EDT by Peter Sasi
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-06 06:11:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Sasi 2001-05-21 06:02:54 EDT
Description of Problem:
ommand was: 
 
[root@iq xs]# rpm --target=i686-redhat-Linux --clean --rmsource --rebuild 
gcc-2.96-81.src.rpm 
 
Error: 
 
[...] 
stage2/xgcc -Bstage2/ -B/usr/i686-redhat-linux/bin/ -c  -DIN_GCC    -W -Wall 
-Wtraditional -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes 
-pedantic -Wno-long-long -O2 -O4 -march=i686 -mcpu=i686  -DHAVE_CONFIG_H 
-I. -I../../gcc -I../../gcc/config -I../../gcc/../include 
../../gcc/reg-stack.c 
../../gcc/reg-stack.c: In function Get_true_reg': 
../../gcc/reg-stack.c:565: warning: signed and unsigned type in conditional 
expression 
../../gcc/reg-stack.c:565: warning: signed and unsigned type in conditional 
expression 
../../gcc/reg-stack.c: In function Remove_regno_note': 
../../gcc/reg-stack.c:865: warning: comparison between signed and unsigned 
../../gcc/reg-stack.c: In function Get_hard_regnum': 
../../gcc/reg-stack.c:891: warning: comparison between signed and unsigned 
../../gcc/reg-stack.c: In function Emit_swap_insn': 
../../gcc/reg-stack.c:1016: warning: comparison between signed and unsigned 
../../gcc/reg-stack.c:1023: warning: comparison between signed and unsigned 
../../gcc/reg-stack.c: In function Move_for_stack_reg': 
../../gcc/reg-stack.c:1070: warning: comparison between signed and unsigned 
../../gcc/reg-stack.c: In function Subst_stack_regs_pat': 
../../gcc/reg-stack.c:1597: warning: comparison between signed and unsigned 
../../gcc/reg-stack.c:1621: warning: comparison between signed and unsigned 
../../gcc/reg-stack.c:1723: warning: comparison between signed and unsigned 
../../gcc/reg-stack.c: In function Subst_asm_stack_regs': 
../../gcc/reg-stack.c:1930: warning: comparison between signed and unsigned 
../../gcc/reg-stack.c:2032: warning: comparison between signed and unsigned 
../../gcc/reg-stack.c: In function Convert_regs_1': 
../../gcc/reg-stack.c:2631: Internal error: Segmentation fault. 
Please submit a full bug report. 
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions. 
make[2]: *** [reg-stack.o] Error 1 
make[2]: Leaving directory 
/mnt/store/BUILD/gcc-2.96-20000731/obj-i686-redhat-linux/gcc' 
make[1]: *** [bootstrap-lean] Error 2 
make[1]: Leaving directory 
/mnt/store/BUILD/gcc-2.96-20000731/obj-i686-redhat-linux/gcc' 
make: *** [bootstrap-lean] Error 2 
error: Bad exit status from /var/tmp/rpm-tmp.1288 (%build) 
 
 
RPM build errors: 
    Bad exit status from /var/tmp/rpm-tmp.1288 (%build) 
 


How Reproducible:
Did not try

Steps to Reproduce:
[root@iq xs]# rpm --target=i686-redhat-Linux --clean --rmsource --rebuild 
gcc-2.96-81.src.rpm 

Actual Results:
no i686.rpm built (although it bouilds for all the other srpms I have tried so far: XFree, glibc, gnome, etc.

Expected Results:
get .i686.rpms built

Additional Information:
Comment 1 Jakub Jelinek 2001-06-06 06:11:51 EDT
Is it reproduceable and always on the same file?
I just rpm --rebuild --target=i686-redhat-linux gcc-2.96-81.src.rpm
without any problems.
Comment 2 Jakub Jelinek 2001-07-23 11:37:55 EDT
Closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.